AttachmentSerializer (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.attachment, class: AttachmentSerializer

Package org.apache.cxf.attachment

# Class AttachmentSerializer

java.lang.Object
org.apache.cxf.attachment.AttachmentSerializer

public class AttachmentSerializer extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttachmentSerializer(Message messageParam)`
  `AttachmentSerializer(Message messageParam, String multipartType, boolean writeOptionalTypeParameters, Map<String,List<String>> headers)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isXop()`
  `void`
  `setContentTransferEncoding(String cte)`
  `void`
  `setXop(boolean xop)`
  `void`
  `writeAttachments()`
  Write the end of the body boundary and any attachments included.
  `void`
  `writeProlog()`
  Serialize the beginning of the attachment which includes the MIME beginning and headers for the root message.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttachmentSerializer

    public AttachmentSerializer(Message messageParam)

  - ### AttachmentSerializer

    public AttachmentSerializer(Message messageParam, String multipartType, boolean writeOptionalTypeParameters, Map<String,List<String>> headers)

- ## Method Details

  - ### writeProlog

    public void writeProlog() throws IOException
    Serialize the beginning of the attachment which includes the MIME beginning and headers for the root message.
    Throws:
      `IOException`

  - ### setContentTransferEncoding

    public void setContentTransferEncoding(String cte)

  - ### writeAttachments

    public void writeAttachments() throws IOException
    Write the end of the body boundary and any attachments included.
    Throws:
      `IOException`

  - ### isXop

    public boolean isXop()

  - ### setXop

    public void setXop(boolean xop)